commit 496966ffb81a32b38781cf5542cbb6f8e128a57a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Jun 18 00:17:52 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 761ad57f860..89fb41a029b 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,11 @@
+2020-06-17  Thomas Schwinge  <thomas@codesourcery.com>
+
+	Backported from master:
+	2020-06-17  Thomas Schwinge  <thomas@codesourcery.com>
+
+	* hsa-gen.c (gen_hsa_insns_for_call): Move 'function_decl ==
+	NULL_TREE' check earlier.
+
 2020-06-12  Martin Liska  <mliska@suse.cz>
 	    Jakub Jelinek  <jakub@redhat.com>
 
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index d2b0822d197..e94346fce10 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200617
+20200618
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0af007f252e..e1d826c3e13 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,10 @@
+2020-06-17  Thomas Schwinge  <thomas@codesourcery.com>
+
+	Backported from master:
+	2020-06-17  Thomas Schwinge  <thomas@codesourcery.com>
+
+	* c-c++-common/gomp/hsa-indirect-call-1.c: New file.
+
 2020-06-14  Thomas Koenig  <tkoenig@gcc.gnu.org>
 
 	PR fortran/94109
diff --git a/libgcc/ChangeLog b/libgcc/ChangeLog
index 2d7e900a653..bca0c1c212e 100644
--- a/libgcc/ChangeLog
+++ b/libgcc/ChangeLog
@@ -1,3 +1,12 @@
+2020-06-17  Samuel Thibault  <samuel.thibault@gnu.org>
+
+	Backported from master:
+	2020-06-17  Samuel Thibault  <samuel.thibault@gnu.org>
+
+	* config.host (md_unwind_header) <i[34567]86-*-gnu*>: Set to
+	'i386/gnu-unwind.h'
+	* config/i386/gnu-unwind.h: New file.
+
 2020-05-29  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
 
 	* config/aarch64/lse-init.c (init_have_lse_atomics): Use __getauxval

